package fi.helsinki.cs.seco.onki.service;

import java.util.Collection;

/**
 * Represents a result set returned by ONKI API's search method.
 */

public class OnkiQueryResults {
	
	private OnkiQueryResultsMetadata metadata;
	private Collection<OnkiQueryResult> results;
	
	public OnkiQueryResults(OnkiQueryResultsMetadata metadata, Collection<OnkiQueryResult> results) {
		this.metadata = metadata;
		this.results = results;
	}
	
	public OnkiQueryResultsMetadata getMetadata() {
		return this.metadata;
	}
	
	public Collection<OnkiQueryResult> getResults() {
		return this.results;
	}
}