package fi.helsinki.cs.seco.onki.servlet;

import fi.helsinki.cs.seco.onki.service.BaseStatement;

/**
 * Represents a resource statement.
 */

public class ResourceStatement extends BaseStatement {
	
	private String uri;
	private String label;
		
	public ResourceStatement(String uri, String label, String predicateUri, String predicateLabel) {
		super(predicateUri, predicateLabel);
		this.uri = uri;
		this.label = label;
	}

	public String getUri() {
		return uri;
	}

	public void setUri(String uri) {
		this.uri = uri;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}
}