package fi.seco.semweb.model;

import java.util.Iterator;

import com.hp.hpl.jena.rdf.model.Property;
import com.hp.hpl.jena.rdf.model.RDFNode;
import com.hp.hpl.jena.rdf.model.Resource;
import com.hp.hpl.jena.rdf.model.Statement;
import com.hp.hpl.jena.rdf.model.StmtIterator;

import fi.seco.semweb.util.iterator.IIterableIterator;

public interface IResourceHoldingObject extends IModelHoldingObject {

	public Resource getResource();

	public void setResource(Resource resource);
	
	public Statement getProperty(String p);

	public RDFNode getPropertyAsObject(String p);

	public RDFNode getPropertyAsObject(Property p);
	
	public IIterableIterator<Statement> listProperties(String p);
	
	public IIterableIterator<Statement> listInverseProperties(String p);
	
	public Iterator<RDFNode> getListItems(String p);

	public StmtIterator listProperties(Property p);

	public StmtIterator listProperties();

	public StmtIterator listInverseProperties(Property p);
	
	public StmtIterator listInverseProperties();
	
}
