package fi.seco.semweb.service.indexing.tree.model;

import java.util.List;

public class IndexedNode<T> extends MemoryNode<T> {

	private int nodeid;
	private int nodeid_end;

	public IndexedNode() {
	}

	public IndexedNode(int nodeid, int nodeid_end, String id, T info) {
		super(id,info);
		this.nodeid=nodeid;
		this.nodeid_end=nodeid_end;
	}

	public int getNodeId() {
		return nodeid;
	}

	public void setNodeId(int nodeid) {
		this.nodeid = nodeid;
	}

	public int getNodeid_end() {
		return nodeid_end;
	}

	public void setNodeId_end(int nodeid_end) {
		this.nodeid_end = nodeid_end;
	}

	@Override
	@SuppressWarnings("unchecked")
	public List<? extends IndexedNode<T>> getSubNodes() {
		return (List<IndexedNode<T>>) super.getSubNodes();
	}

	public int getDescendantNodesCount() {
		return nodeid_end-nodeid;
	}

}
