<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  version="1.0">
  <!-- xsl:output method="html"/ --> 
   <xsl:template match="/">
    <html><body>
       <xsl:apply-templates select="/A/S" />
    </body></html>
  </xsl:template>

  <xsl:template match="/ANALYSIS/SENTENCE">
    <p> <xsl:apply-templates select="BS/T|
                                     BS/L|
                                     UP/T|
				     UP/L|
				     UP/MO|
                                     UP/SYN|
				     SY/T|
                                     NM/T|
                                     NM/L|
                                     PN/T|
				     PN/L|
                                     AD/T|
				     AD/L|
                                     VB/T|
				     VB/L|
                                     P|
                                     OT/T|
                                     C/T| 
				     C/I|
				     C/L|
				     V/T|
                                     V/I|
                                     V/L| 
				     R/T| 
				     R/I| 
                                     NA/T| 
                                     NA/I
				     */MO|*/SYN|*/DEP" /> </p>
  </xsl:template>


  <xsl:template match="P">
	<p />
  </xsl:template>

  <xsl:template match="BS/T|UP/T|SY/T|NM/T|PN/T|AD/T|VB/T|OT/T|NA/T">
     <xsl:apply-templates select="text() " /><xsl:text> </xsl:text>
  </xsl:template>

  <xsl:template match="BS/L|UP/L|UP/MO|UP/SYN|NM/L|PN/L|AD/L|VB/L|SY/L|V/I|V/L|NA/I">
      <xsl:text></xsl:text>
  </xsl:template>

  <xsl:template match="C/T|R/T">
      <xsl:apply-templates select="text()"/><xsl:text> </xsl:text>
  </xsl:template>
  <xsl:template match="C/I|C/L|R/I">
		<xsl:text></xsl:text>
  </xsl:template>

  <xsl:template match="*/MO|*/SYN|*/DEP">
      <xsl:text></xsl:text>
  </xsl:template>

</xsl:stylesheet>


