package fi.seco.semweb.util.collection;

import java.util.Collection;
import java.util.Iterator;

import fi.seco.semweb.util.iterator.SkipMaxIterator;

public class SkipMaxCollection<E> extends EncapsulatingCollection<E> {

	int skip;
	int max;
	
	public SkipMaxCollection(Collection<E> col,int skip,int max) {
		super(col);
		this.skip=skip;
		this.max=max;
	}
	
	@Override public Iterator<E> iterator() {
		return new SkipMaxIterator<E>(col.iterator(),skip,max);
	}
}
