package fi.seco.semweb.util.iterator;


import com.hp.hpl.jena.rdf.model.Statement;
import com.hp.hpl.jena.rdf.model.StmtIterator;

public abstract class AStatementMappingIterator<E> extends AIterableIterator<E> {

	StmtIterator iter;
	
	public AStatementMappingIterator(StmtIterator iter) {
		this.iter=iter;
	}

	@Override
	public boolean hasNext() {
		return iter.hasNext();
	}

	@Override
	public E next() {
		return map(iter.nextStatement());
	}

	@Override
	public void remove() {
		iter.remove();
	}
	
	public abstract E map(Statement s);

}
