package fi.seco.semweb.util.iterator;

public class SingletonIterator<E> extends AIterableIterator<E> {

	private E singleton;

	public SingletonIterator(E singleton) {
		this.singleton=singleton;
	}

	@Override
	public boolean hasNext() {
		if (singleton!=null) return true;
		return false;
	}

	@Override
	public E next() {
		E tmp = singleton;
		singleton=null;
		return tmp;
	}

	@Override
	public void remove() {
	}

}
