package fi.seco.semweb.util.map;

import java.util.Map;

public abstract class AMappingMap<O1,O2,E1,E2> extends AEncapsulatingMap<E1,E2> {

	@SuppressWarnings("unchecked")
	public AMappingMap(Map<? extends O1, ? extends O2> map) {
				
		try {
			this.map = map.getClass().newInstance();
		} catch (IllegalAccessException e) {
			e.printStackTrace();
		} catch (InstantiationException e) {
			e.printStackTrace();
		}
		for (O1 key : map.keySet()) this.map.put(mapKey(key),mapValue(map.get(key)));
	}

	public abstract E1 mapKey(O1 key);
	public abstract E2 mapValue(O2 value);
	
}
