
package fi.seco.semweb.view.js.widget.tree.model;

import fi.seco.semweb.service.indexing.tree.model.IndexedNode;

public class JSINode<T> {

	protected IndexedNode<T> node;
	private String treeId;
	private String title;

	public int getNodeId() {
		return node.getNodeId();
	}

	public String getTitle() {
		return title;
	}

	public String getId() {
		return node.getId();
	}

	public String getWidgetId() {
		return "tn_"+treeId+"_"+node.getNodeId();
	}

	public boolean isIsFolder() {
		return node.hasSubNodes();
	}

	public JSINode(IndexedNode<T> node, String treeId, String title) {
		this.node=node;
		this.treeId=treeId;
		this.title=title;
	}

}
