package fi.helsinki.cs.seco.onki.service;

/**
 * Represents a single result returned by ONKI API's search method.
 */

public class OnkiQueryResult {

	private String uri;
	private String namespacePrefix;
	private String title;
	private String altLabel;
	private String serkki;
	// TODO: add lang, caseMatch
	//private String lang;
	//private boolean caseMatch;
	
	public OnkiQueryResult() {
		;
	}

	public String getNamespacePrefix() {
		return namespacePrefix;
	}
	
	public void setNamespacePrefix(String namespacePrefix) {
		this.namespacePrefix = namespacePrefix;
	}
	
	public String getSerkki() {
		return serkki;
	}
	
	public void setSerkki(String serkki) {
		this.serkki = serkki;
	}
	
	public String getTitle() {
		return title;
	}
	
	public void setTitle(String title) {
		this.title = title;
	}
	
	public String getAltLabel() {
		return altLabel;
	}
	
	public void setAltLabel(String altLabel) {
		this.altLabel = altLabel;
	}	
	
	public String getUri() {
		return uri;
	}
	
	public void setUri(String uri) {
		this.uri = uri;
	}
}