package fi.helsinki.cs.seco.onki.service;

import java.io.Serializable;

/**
 * Represents a resource as part of a directory element.
 */

public class OnkiResourceSerializable implements Serializable {

	private static final long serialVersionUID = 1L;

	String uri;
	String label;
	
	public OnkiResourceSerializable(String uri, String label) {
		this.uri = uri;
		this.label = label;
	}
	
	public String getUri() {
		return uri;
	}
	
	public String getLabel() {
		return label;
	}
}