function initializePolygonMap(polygon,zoom) {
	if (GBrowserIsCompatible()) {
		var map = new GMap2(document.getElementById("map_canvas"),{ size: new GSize(350,350) } );
		var pistearray = polygon.split(" ");
		var coordinatesarray = new Array(); // what is this?
		var polypointsArea = new Array();
		// comment out duplicate code (corrupts polygons in v2.96; disables fill in v2)
		/*var lastpiste = new GLatLng(62.1872,23.7282);
		for (i=0;i<pistearray.length;i++){	
			try{
		   		var coords = new Array();
           		coords = pistearray[i].split(",");		   		
  	       		var piste = new GLatLng(coords[1],coords[0]); 	
		   		polypointsArea.push(piste);
		   		lastpiste = piste;		   
		   		coordinatesarray.push(coords[1]+" "+coords[0]);
			}
			catch(e){
			}
		}*/
		// duplicate code ends
		var minLat;
    	var minLng;
    	var maxLat;
    	var maxLng;

     	var firstpoint = true;
        for (i=0;i<pistearray.length;i++){      
                try{
                   var coords = new Array();                   
           		   coords = pistearray[i].split(",");                              
               	   var piste = new GLatLng(coords[1],coords[0]);   

                   polypointsArea.push(piste);                   
                   lastpiste = piste;
                   if (firstpoint){
                      minLat=coords[1];
                      maxLat=coords[1];
                      minLng=coords[0];
                      maxLng=coords[0];
                      firstpoint=false;
                   }
                   if (coords[1]<minLat){minLat=coords[1];}
                   if (coords[1]>maxLat){maxLat=coords[1];}
                   if (coords[0]<minLng){minLng=coords[0];}
                   if (coords[0]>maxLng){maxLng=coords[0];}
                   
                   coordinatesarray.push(coords[1]+" "+coords[0]);
                   
                }
                catch(e){
                }
        }

    	//var polyColor = RGB2Color(rand(255),rand(255),rand(255));
    	var polyColor = RGB2Color(0,0,0);
		var polygonArea = new GPolygon(polypointsArea,'#000000',2,.5,polyColor,.5);
    
      	var latCenter = (1*minLat + 1*maxLat)/2;
        var lngCenter = (1*minLng + 1*maxLng)/2;

    	var sw = new GLatLng(minLat,minLng);
        var ne = new GLatLng(maxLat,maxLng);
        var bounds = new GLatLngBounds(sw, ne);
        var mapZoomLevel = map.getBoundsZoomLevel(bounds);
        
        var mapCenter = new GLatLng(latCenter,lngCenter);
        map.setCenter(mapCenter, mapZoomLevel,G_NORMAL_MAP);
		
		//map.setCenter(new GLatLng(pohj, ita), zoom);
		//map.removeMapType(G_HYBRID_MAP);
		
		map.addControl(new GMapTypeControl());
		map.addControl(new GLargeMapControl());
		map.addOverlay(polygonArea);
		
		document.body.setAttribute('onunload', 'GUnload()');
	}
}

function RGB2Color(r,g,b) {
	return '#' + byte2Hex(r) + byte2Hex(g) + byte2Hex(b);
}

function byte2Hex(n) {
    var nybHexString = '0123456789ABCDEF';
    return String(nybHexString.substr((n >> 4) & 0x0F,1)) + nybHexString.substr(n & 0x0F,1);
}

function initializeCircleMap(point) {
	var coords = new Array();      
	try{
		coords = point.split(",");    
		doDrawCircle(new GMarker(new GLatLng(coords[0],coords[1])));
	}
	catch(e){
	}
}

function doDrawCircle(centerMarker, circleRadius){
	if (GBrowserIsCompatible()) {
		var map = new GMap2(document.getElementById("map_canvas"),{ size: new GSize(350,350) } );	 
		
		if (circleRadius == undefined)
			circleRadius = 1;
	
		if (centerMarker) {
			map.setCenter(centerMarker.getLatLng())
		}
		else {
			//centerMarker = new GMarker(map.getCenter(),{draggable:true});
			//GEvent.addListener(centerMarker,'dragend',drawCircle)
			//map.addOverlay(centerMarker);
		}
	
		var center = map.getCenter();
	
		//var bounds = new GLatLngBounds(centerMarker.getLatLng(), centerMarker.getLatLng());

		var circleUnits = 'KM';
		var circlePoints = Array();
	
		with (Math) {
			if (circleUnits == 'KM') {
				var d = circleRadius/6378.8;	// radians
			}
			else { //miles
				var d = circleRadius/3963.189;	// radians
			}
	
			var lat1 = (PI/180)* center.lat(); // radians
			var lng1 = (PI/180)* center.lng(); // radians
			
			for (var a = 0 ; a < 361 ; a++ ) {
				var tc = (PI/180)*a;
				var y = asin(sin(lat1)*cos(d)+cos(lat1)*sin(d)*cos(tc));
				var dlng = atan2(sin(tc)*sin(d)*cos(lat1),cos(d)-sin(lat1)*sin(y));
				var x = ((lng1-dlng+PI) % (2*PI)) - PI ; // MOD function
				var point = new GLatLng(parseFloat(y*(180/PI)),parseFloat(x*(180/PI)));
				circlePoints.push(point);
				//bounds.extend(point);
			}

			if (d < 1.5678565720686044) {
				var lineColor = RGB2Color(140,140,140);
	 			var fillColor = RGB2Color(140,140,140);
				circle = new GPolygon(circlePoints, lineColor, 2, 1, fillColor, 0.25);	
			}
			else {
				var lineColor = RGB2Color(140,140,140);
				circle = new GPolygon(circlePoints, lineColor, 2, 1);	
			}
			
			map.addControl(new GMapTypeControl());
			map.addControl(new GLargeMapControl());
			map.addOverlay(circle);

			/*if (existscircle){
				map.removeOverlay(oldquerycircle);
			}

			oldquerycircle = circle;
			existscircle = true;*/
	
			map.setZoom(9);
			
			// zoom to polygon
			//map.setZoom(map.getBoundsZoomLevel(bounds));
		}
	}
}