package fi.seco.semweb.infrastructure.jena;

import java.util.LinkedList;
import java.util.List;

public class JenaModelCombinationSource extends JenaModelSource {
	private List<String> keys = new LinkedList<String>();

	public JenaModelCombinationSource() { }

	public JenaModelCombinationSource(String key, List<String> keys) {
		super(key);
		this.keys=keys;
	}

	/**
	 * @return Returns the uri.
	 */
	public List<String> getKeys() {
		return keys;
	}

	public void setKeys(List<String> keys) {
		this.keys=keys;
	}
	/**
	 * @param uri The uri to set.
	 */
	public void addKey(String key) {
		this.keys.add(key);
	}

	@Override
	public String toString() {
		return "key: "+getKey()+", keys: "+getKeys();
	}


}
