package fi.seco.semweb.service.indexing.tree.model;

import com.hp.hpl.jena.rdf.model.Property;
import com.hp.hpl.jena.rdf.model.Resource;

import fi.seco.semweb.util.JenaHelper;

public class AOntodellaCategory {
	protected final static String ogtns="http://www.cs.helsinki.fi/group/seco/ns/2004/03/ontogator#";
	protected static final Property projectionOf=JenaHelper.p(ogtns+"projectionOf");
	protected static final Property subCategories=JenaHelper.p(ogtns+"subCategories");

	protected Resource resource;

	public AOntodellaCategory(Resource resource) {
		this.resource=resource;
	}

	public String getId() {
		return resource.listProperties(projectionOf).nextStatement().getResource().getURI();
	}

}
