package fi.seco.semweb.service.poka.opas;

import java.util.Collection;

import fi.seco.semweb.service.poka.name.NameIndex.Name;

/**
 * Simple wrapper class ( ;) ) that implements IPokaService. A new class was created
 * in order to separate work of Olli and Antti. 
 * 
 * @author avehvila
 */
public class PokaService implements IPokaService {

	private OpasExtractor my = null;
	
	public PokaService() {
		my = new OpasExtractor();
	}
	
	/*public Collection<ConceptMatch> getConceptMatches(String text) {
		my.setInputString(text);
		my.addInstances();
		my.addNames();
		my.addRegex("[1-2][8-9|0][0-9][0-9]", "http://yso.fi/YSO#vuosi");
		my.addRegex("\\d(\\d)?\\.\\d(\\d)?\\.\\d\\d\\d\\d","http://yso.fi/YSO#pivmrt");
		my.addRegexConcepts(OpasExtractor.NUMERALNODES, false);
//		my.addLabel("http://yso.fi/YSO#julkisuuden_henkilt", "thti");
		my.addVerbs(false, false);
		my.addYsoConcepts(OpasExtractor.CONCEPTNODES, true, false);
		Collection<ConceptMatch> list = my.getConcepts();
		Collection<Name> names = my.getNames();
		for (Name n : names) {
			NameMatch nm = new NameMatch();
			nm.setLemma(n.toString());
			nm.setCount(n.getFrequency());
			list.add(nm);
		}
		return list;		
	}*/

	public MatchWrapper getConceptMatches(String text) {
		MatchWrapper matches = new MatchWrapper();		
		my.setInputString(text);		
		my.addInstances();
		my.addVerbs(false, false);
		my.addNames();
		my.addPlaces(OpasExtractor.CONCEPTNODES, true, false);
		my.addRegex("[1-2][8-9|0][0-9][0-9]", "http://yso.fi/YSO#vuosi");
		my.addRegex("\\d(\\d)?\\.\\d(\\d)?\\.\\d\\d\\d\\d","http://yso.fi/YSO#pivmrt");
		my.addRegexConcepts(OpasExtractor.NUMERALNODES, true);		
		my.addYsoConcepts(OpasExtractor.CONCEPTNODES, true, false);		
		matches.setConcepts(my.getConcepts());
		matches.setNames(my.getNames());
		matches.setPlaces(my.getPlaces());
		matches.setInstances(my.getInstNodes());
		matches.setVerbs(my.getVerbNodes());
		matches.setRegex(my.getRegex());
		return matches;
	}

}
