package fi.seco.semweb.service.poka.util;
/**
 * Tallentaa urin nimen ja kyseisen luokan esiintymien määrän dokumentissa
 * @author alm
 *
 */

public class InstanceFrequency implements Comparable<InstanceFrequency> {

	String uri;
	int freq;
	
	public InstanceFrequency(String uri, int freq) {
		this.uri = uri;
		this.freq = freq;
	}

	public int getFreq() {
		return this.freq;
	}
	
	public int compareTo(InstanceFrequency another) throws ClassCastException {
		    if (!(another instanceof InstanceFrequency))
		      throw new ClassCastException("InstanceFrequency: InstanceFrequency expected: ");
		    int anotherFreq = ((InstanceFrequency)another).getFreq();  
		    return this.freq - anotherFreq;    
	}
	
	public String getUri() {
		return this.uri; 
	}
	
	public String toString() {
		return this.uri+": "+this.freq;
	}
}
