package fi.seco.semweb.util.collection;

import java.util.Collection;
import java.util.Iterator;

import fi.seco.semweb.util.iterator.IterableExpandingIterator;

public class CollectionExpandingCollection<E> extends EncapsulatingCollection<E> {
	
	private static final long serialVersionUID = 1L;

	public CollectionExpandingCollection(Iterator<E> i, Collection<E> col) {
		super(col);
		for (E e : new IterableExpandingIterator<E>(i)) this.col.add(e);
	}
	
}
