package fi.seco.semweb.util.collection;

import java.util.Collection;
import java.util.Iterator;

public class EncapsulatingCollection<E> implements Collection<E> {

	protected Collection<E> col;

	public EncapsulatingCollection(Collection<E> col) {
		this.col=col;
	}

	public int size() {
		return col.size();
	}

	public boolean isEmpty() {
		return col.isEmpty();
	}

	public boolean contains(Object o) {
		return col.contains(o);
	}

	public Iterator<E> iterator() {
		return col.iterator();
	}

	public Object[] toArray() {
		return col.toArray();
	}

	public <T> T[] toArray(T[] a) {
		return col.toArray(a);
	}

	public boolean add(E o) {
		return col.add(o);
	}

	public boolean remove(Object o) {
		return col.remove(o);
	}

	public boolean containsAll(Collection<?> c) {
		return col.containsAll(c);
	}

	public boolean addAll(Collection<? extends E> c) {
		return col.addAll(c);
	}

	public boolean removeAll(Collection<?> c) {
		return col.removeAll(c);
	}

	public boolean retainAll(Collection<?> c) {
		return col.retainAll(c);
	}

	public void clear() {
		col.clear();
	}

	@Override
	public String toString() {
		return col.toString();
	}
}
