package fi.seco.semweb.util.iterator.mapiterator;

import java.util.Iterator;

import org.apache.commons.collections15.MapIterator;

public abstract class AMapIteratorMappingIterator<T1, T2, E> implements Iterator<E> {

	private MapIterator<? extends T1,? extends T2> iter;
	
	public AMapIteratorMappingIterator(MapIterator<? extends T1,? extends T2> name) {
		this.iter=name;
	}
	
	public boolean hasNext() {
		return iter.hasNext();
	}

	public E next() {
		return map(iter.next(),iter.getValue());
	}

	public void remove() {
		iter.remove();
	}

	protected abstract E map(T1 key, T2 value);
}
