package fi.seco.semweb.util.lucene;

import org.apache.lucene.store.Directory;

public interface ILuceneDirectory {

	public NonExceptingIndexWriter getLuceneWriter();

	public NonExceptingIndexReader getLuceneReader();

	public NonExceptingIndexSearcher getLuceneSearcher();

	public long getLastModified();

	public void clearIndex();

	public Directory getDirectory();

	public void optimize();

}