package fi.seco.semweb.util.map;

import java.util.Map;

import fi.seco.semweb.util.IMapper;

public class MappingMap<O1,O2,E1,E2> extends AEncapsulatingMap<E1,E2> {

	@SuppressWarnings("unchecked")
	public MappingMap(Map<? extends O1, ? extends O2> map,IMapper<O1,E1> im,IMapper<O2,E2> om) {
				
		try {
			this.map = map.getClass().newInstance();
		} catch (IllegalAccessException e) {
			e.printStackTrace();
		} catch (InstantiationException e) {
			e.printStackTrace();
		}
		for (O1 key : map.keySet()) this.map.put(im.map(key),om.map(map.get(key)));
	}

}
