package fi.seco.semweb.util.map.primitive;

import gnu.trove.TIntObjectHashMap;

public class IntObjectHashMap<V> extends TIntObjectHashMap {
    static final long serialVersionUID = 1L;
    
    public IntObjectHashMap() {
    	super();
    }
    
    public IntObjectHashMap(int initialSize) {
    	super(initialSize);
    }
    
    public IntObjectHashMap(int initialSize, float hashingFactor) {
    	super(initialSize, hashingFactor);
    }
    
    @SuppressWarnings("unchecked")
	public @Override V get (int key) {
		return (V) super.get(key);
	}

    @SuppressWarnings("unchecked")
	public @Override V[] getValues() {
    	return (V[]) super.getValues();
    }
    
}
