package fi.seco.semweb.view.js.widget.tree;

import java.util.Collection;

import fi.seco.semweb.service.indexing.tree.TreeIndexService;
import fi.seco.semweb.service.indexing.tree.model.IndexedNode;

public class TreeView<T> {

	protected TreeIndexService<T> tree;

	public TreeView(TreeIndexService<T> tree) {
		this.tree=tree;
	}

	public Collection<? extends IndexedNode<T>> getChildren(int nodeId) {
		return tree.getNodeById(nodeId).getSubNodes();
	}

	public IndexedNode<T> get(int nodeId) {
		return tree.getNodeById(nodeId);
	}
}
