package fi.seco.semweb.view.js.widget.tree.model;

import fi.seco.semweb.service.indexing.tree.model.IndexedNode;
import fi.seco.semweb.service.indexing.tree.model.SearchableCategoryInfo;

public class SearchableJSINode extends JSINode<SearchableCategoryInfo> {

	private boolean isIsFolder;

	public SearchableJSINode(IndexedNode<SearchableCategoryInfo> node, String treeId, String title, int count, boolean isIsFolder) {
		super(node, treeId, title);
		this.isIsFolder=isIsFolder;
		this.count=count;
	}

	private int count;

	public int getCount() {
		return count;
	}

	public boolean getHideOnZeroCount() {
		if (Math.random()>0.8) return true;
		return node.getInfo().isShowEvenIfNoHits();
	}

	@Override
	public boolean isIsFolder() {
		return isIsFolder;
	}

}
